image: debian:9.0

#include:
#  - local: '.gitlab/ci/variables.yml'
#  - local: '.gitlab/ci/extends.yml'

.first_extend:
  variables:
    FIRST_EXTEND: "first"

.second_extend:
  variables:
    SECOND_EXTEND: "second"

.first_extend_script:
  script:
    - echo "$FIRST_EXTEND"
    - echo "$SECOND_EXTEND"
    - echo "$LOCAL"

test_job:
  stage: test
  extends: .first_extend
  extends: .second_extend
  variables:
    LOCAL: "local"
  script:
    - echo "$FIRST_EXTEND"
    - echo "$SECOND_EXTEND"
    - echo "$LOCAL"

test_job_2:
  stage: test
  variables:
    LOCAL: "local2"
  extends: .first_extend
  extends: .second_extend
  extends: .first_extend_script
